<template lang="pug">
BaseCard(tabIndex="-1").highlightOnFocus
  template(v-slot:header)
    .d-flex.justify-content-between
      div
        slot(name='header' :inEdit='inEdit')
          h5.m-0 {{ title }}
      .ml-auto.clickable(@click='inEdit = true' v-if='canEdit && !inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") E
        i.fa.fa-cog
      .ml-auto.clickable(@click='inEdit = false' v-if='canEdit && inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        i.fa.fa-times
  slot(name='default' :inEdit='inEdit')
  template(v-slot:footer)
    slot(name='footer' :inEdit='inEdit')
</template>
<script>

export { default } from './AppEditCard.vue.js';

</script>
